## libgetdata 0.10.0.1

=== debian/changelog ===
libgetdata (0.10.0.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>  Wed, 20 Oct 2021 13:56:07 +0800

libgetdata (0.10.0.1-1+dde) buster; urgency=medium

  * Fix CVE-2021-20204.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 May 2021 23:20:53 +0200

## libgetdata 0.11.0

=== cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)

project(getdata)



set(CMAKE_RUNTIME_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 


if(NOT GD_DIR)
  set(GD_DIR ${CMAKE_SOURCE_DIR}/..)
endif()


macro(GD_FILES name folder)
  file(GLOB ${name}_folder_sources ${GD_DIR}/${folder}/*.c) 
  file(GLOB ${name}_folder_sources_cpp ${GD_DIR}/${folder}/*.cpp)
  file(GLOB ${name}_folder_headers ${GD_DIR}/${folder}/*.h) 
  set(${name}_sources ${${name}_sources} ${${name}_folder_sources} ${${name}_folder_sources_cpp})
  set(${name}_headers ${${name}_headers} ${${name}_folder_headers})
  include_directories(${CMAKE_SOURCE_DIR}/${folder})
endmacro()

#TODO add configure
add_definitions(
  -DPACKAGE_NAME=\"GetData\"
  -DPACKAGE_VERSION=\"0.10.x\"
  -DGETDATA_LIB_VERSION=\"0.10.x\"
  -DPACKAGE_BUGREPORT=\"getdata-devel@lists.sourceforge.net\"
  -DUNALIGNED_ACCESS_OK
  )

# kst2 doesn't need the legacy API
set(DEFINE_GD_LEGACY_API "/* #undef GD_LEGACY_API */")

# Disable REGEX support
set(DEFINE_GD_NO_REGEX "#define GD_NO_REGEX 1")
set(DEFINE_GD_NO_PCRE "#define GD_NO_PCRE 1")

# Version macros
set(DEFINE_GD_GETDATA_VERSION  "#define GD_GETDATA_VERSION \"0.10.x\"")
set(DEFINE_GD_GETDATA_INT_VERSION  "#define GD_GETDATA_INT_VERSION 1000")

if(MSVC)
  ## Substitutions needed to build getdata.h
  # build in ANSI C mode
  set(DEFINE_GD_NO_C99_API "#define GD_NO_C99_API")

  # MSVCRT integer types
  set(DEFINE_gd_int64_t  "#define gd_int64_t  __int64")
  set(DEFINE_gd_uint64_t "#define gd_uint64_t unsigned __int64")

  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_WARNINGS)
  add_definitions(
    -D__MSVCRT__
    -D_USE_MATH_DEFINES
    -DHAVE__CHSIZE
    -DHAVE__COMMIT
    -DHAVE__FINITE
    -DHAVE__FSTAT64
    -DHAVE__GETCWD
    -DHAVE__ISNAN
    -DHAVE__MKDIR
    -DHAVE__RMDIR
    -DHAVE__SNPRINTF
    -DHAVE__STAT64
    -DHAVE__STRTOI64
    -DHAVE__STRTOUI64
    -DHAVE_DECL__STRTOI64=0
    -DHAVE_DECL__STRTOUI64=0
    -DHAVE_DIRENT_H
    -DHAVE_DIRECT_H
    -DHAVE_FCNTL_H
    -DHAVE_FLOAT_H
    -DHAVE_LIBGEN_H
    -DHAVE_INTTYPES_H
    -DHAVE_IO_H
    -DHAVE_STDINT_H
    -DHAVE_STRUCT___STAT64
    -DHAVE_SYS_STAT_H
    -DGD_DIRSEP='\\\\'
    -DMKDIR_NO_MODE
    -Dmode_t=int
    -Drestrict=
    -DSIZEOF_INT=4
    -DSIZEOF_UNSIGNED_INT=4
    -DSTDC_HEADERS
    )
  set(CMAKE_DEBUG_POSTFIX d)

  # ANSI C
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /Za")

  # Suppress warnings
  string(REGEX REPLACE "/W[0-4]" "/W0" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")

  include_directories(${GD_DIR}/src/msvc)
endif()

if(MINGW)
  set(DEFINE_gd_int64_t  "#define gd_int64_t  __int64")
  set(DEFINE_gd_uint64_t "#define gd_uint64_t unsigned __int64")

  add_definitions(
    -D__MSVCRT_VERSION__=0x0601
    -DGD_DIRSEP='\\\\'
    -DGD_RESTRICT_ARRAY_OK=1
    -DHAVE_BASENAME
    -DHAVE_CABS
    -DHAVE_COMPLEX_H
    -DHAVE_DIRECT_H
    -DHAVE_DIRENT_H
    -DHAVE_FCNTL_H
    -DHAVE_FLOAT_H
    -DHAVE_FSEEKO64
    -DHAVE_FTELLO64
    -DHAVE_FTRUNCATE
    -DHAVE_GETCWD
    -DHAVE_INTTYPES_H
    -DHAVE_IO_H
    -DHAVE_ISNAN
    -DHAVE_LIBGEN_H
    -DHAVE_LSEEK64
    -DHAVE_MEMORY_H
    -DHAVE_NAN
    -DHAVE_OFF64_T
    -DHAVE_SNPRINTF
    -DHAVE_STDDEF_H
    -DHAVE_STDINT_H
    -DHAVE_STDLIB_H
    -DHAVE_STRINGS_H
    -DHAVE_STRING_H
    -DHAVE_STRTOLL
    -DHAVE_STRTOULL
    -DHAVE_STRUCT___STAT64
    -DHAVE_SYS_FILE_H
    -DHAVE_SYS_PARAM_H
    -DHAVE_SYS_STAT_H
    -DHAVE_SYS_TYPES_H
    -DHAVE_UNISTD_H
    -DHAVE__CHSIZE
    -DHAVE__COMMIT
    -DHAVE__COMPLEX_DOUBLE
    -DHAVE__COMPLEX_FLOAT
    -DHAVE__FDOPEN
    -DHAVE__FSTAT
    -DHAVE__FSTAT64
    -DHAVE__GETCWD
    -DHAVE__ISNAN
    -DHAVE__LSEEKI64
    -DHAVE__MKDIR
    -DHAVE__OPEN
    -DHAVE__READ
    -DHAVE__RMDIR
    -DHAVE__SNPRINTF
    -DHAVE__STAT64
    -DHAVE__STRTOI64
    -DHAVE__STRTOUI64
    -DHAVE__UNLINK
    -DHAVE__WRITE
    -DMKDIR_NO_MODE
    -DSIZEOF_INT=4
    -DSIZEOF_UNSIGNED_INT=4
    -DSTDC_HEADERS
    -D_BSD_SOURCE=1
    -D_GNU_SOURCE=1
    -D_POSIX_C_SOURCE=1200809L
    -D_POSIX_SOURCE=1
    -D_SVID_SOURCE=0
    -Drestrict=__restrict
    )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
endif()

if(GD_TEST)
  enable_testing()
endif()

configure_file(${GD_DIR}/src/getdata.h.in ${CMAKE_BINARY_DIR}/getdata.h @ONLY)

include_directories(${GD_DIR}/src ${CMAKE_CURRENT_BINARY_DIR})

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/INSTALLED CACHE PATH "install path" FORCE)
endif()

add_subdirectory(src)
add_subdirectory(bindings)

if(GD_UTIL)
  add_subdirectory(util)
endif()

if(GD_TEST)
  add_subdirectory(test)
endif()

=== cmake/bindings/CMakeLists.txt ===

add_subdirectory(cxx)

=== cmake/src/CMakeLists.txt ===

set(files_ignored
	${GD_DIR}/src/bzip.c
	${GD_DIR}/src/flac.c
	${GD_DIR}/src/gzip.c
	${GD_DIR}/src/lzma.c
	${GD_DIR}/src/legacy.c
	${GD_DIR}/src/slim.c
	${GD_DIR}/src/zzslim.c
	${GD_DIR}/src/zzip.c
	)

GD_FILES(gd src)

if(MSVC)
	set(gd_sources 
		${gd_sources}
		${GD_DIR}/src/msvc/dirent.h
		${GD_DIR}/src/msvc/dirent.c
		${GD_DIR}/src/msvc/dirname.c
		${GD_DIR}/src/msvc/libgen.h
		${GD_DIR}/src/msvc/inttypes.h
		)
	add_definitions(-DGD_C89_API)
endif()

if(GD_DEBUG)
  add_definitions(-DGETDATA_DEBUG)
else()
  set(files_ignored
    ${files_ignored}
    ${GD_DIR}/src/debug.c
    )
endif()

list(REMOVE_ITEM gd_sources ${files_ignored})

add_library(getdata STATIC ${gd_sources} ${gd_headers} ${CMAKE_BINARY_DIR}/getdata.h)


install(FILES ${CMAKE_BINARY_DIR}/getdata.h DESTINATION include)
install(TARGETS getdata DESTINATION lib)

=== cmake/test/CMakeLists.txt ===
project(GetDataTests)

GD_FILES(gd test)

add_definitions(-DGD_C89_API)

set(tests_ignored
  ascii_complex128 ascii_complex64 ascii_float32 ascii_float64

  bzip_add bzip_complex128 bzip_complex64 bzip_del bzip_enoent bzip_float32
  bzip_float64 bzip_get bzip_get_cont bzip_get_far bzip_get_get bzip_get_get2
  bzip_get_put bzip_int16 bzip_int32 bzip_int64 bzip_int8 bzip_move_from
  bzip_move_to bzip_nframes bzip_put bzip_put_back bzip_put_endian bzip_put_get
  bzip_put_offs bzip_put_pad bzip_put_sub bzip_seek bzip_seek_far bzip_sync
  bzip_uint16 bzip_uint32 bzip_uint64 bzip_uint8

  desync_path

  enc_add enc_complex128 enc_complex64 enc_del enc_enoent enc_float32
  enc_float64 enc_get_cont enc_int16 enc_int32 enc_int64 enc_int8
  enc_move_from enc_nframes enc_put_offs enc_seek enc_uint16 enc_uint32
  enc_uint64 enc_uint8

  error_verbose error_verbose_prefix

  flac_add flac_complex128 flac_complex64 flac_del flac_enoent flac_float32
  flac_float64 flac_get_big flac_get_cont flac_get_far flac_get_get
  flac_get_get2 flac_get_int64 flac_get_int8 flac_get_little flac_get_long
  flac_int16 flac_int32 flac_int64 flac_int8 flac_move_from flac_nframes
  flac_put_big flac_put_complex128 flac_put_float64 flac_put_int32
  flac_put_little flac_put_offs flac_seek flac_seek_far flac_sync flac_uint16
  flac_uint32 flac_uint64 flac_uint8

  get_off64

  gzip_add gzip_complex128 gzip_complex64 gzip_del gzip_enoent gzip_float32
  gzip_float64 gzip_get gzip_get_cont gzip_get_far gzip_get_get gzip_get_get2
  gzip_get_put gzip_int16 gzip_int32 gzip_int64 gzip_int8 gzip_move_from
  gzip_move_to gzip_nframes gzip_put gzip_put_back gzip_put_endian gzip_put_get
  gzip_put_nframes gzip_put_off gzip_put_offs gzip_put_pad gzip_put_sub
  gzip_seek gzip_seek_far gzip_seek_put gzip_sync gzip_uint16 gzip_uint32
  gzip_uint64 gzip_uint8

  header_off64t

  lzma_enoent lzma_get lzma_nframes lzma_put lzma_xz_add lzma_xz_complex128
  lzma_xz_complex64 lzma_xz_del lzma_xz_float32 lzma_xz_float64 lzma_xz_get
  lzma_xz_get_cont lzma_xz_get_far lzma_xz_get_get lzma_xz_get_get2
  lzma_xz_get_put lzma_xz_int16 lzma_xz_int32 lzma_xz_int64 lzma_xz_int8
  lzma_xz_move_from lzma_xz_move_to lzma_xz_nframes lzma_xz_offs_clear
  lzma_xz_put lzma_xz_put_back lzma_xz_put_endian lzma_xz_put_get
  lzma_xz_put_offs lzma_xz_put_pad lzma_xz_seek lzma_xz_seek_far lzma_xz_sync
  lzma_xz_uint16 lzma_xz_uint32 lzma_xz_uint64 lzma_xz_uint8

  legacy_error legacy_estring legacy_format legacy_get legacy_get_put
  legacy_get_rofs legacy_nframes legacy_nonexistent legacy_put legacy_spf

  match_fragment match_pcre match_pcre_bad match_pcre_caseless match_pcre_ext
  match_pcre_js match_pcre_utf8 match_regex match_regex_bad match_regex_ext
  match_regex_icase

  open_eaccess open_sym_a open_sym_al open_sym_as open_sym_at open_sym_c
  open_sym_cl open_sym_ct open_sym_d open_sym_l open_sym_p open_sym_pl
  open_sym_pt

  parse_huge

  put_off64 put_nofile

  slim_get slim_nframes slim_seek slim_seek_far

  trunc_rofs

  xz_get xz_nframes

  zzip_data zzip_get zzip_get_get zzip_nframes zzip_seek zzip_seek_far

  zzslim_get zzslim_nframes zzslim_seek zzslim_seek_far
  )

foreach(_item ${tests_ignored})
  list(REMOVE_ITEM gd_sources ${GD_DIR}/test/${_item}.c)
endforeach()

#set(gd_sources ${GD_DIR}/test/sie_get_little.c)

foreach(_test ${gd_sources})
  get_filename_component(testname ${_test} NAME_WE)
  set(testname test_${testname})
  add_executable(${testname} ${_test})
  target_link_libraries(${testname} getdata)
  add_test(NAME ${testname} COMMAND ${testname})
endforeach()

=== cmake/util/CMakeLists.txt ===
include_directories(${GD_DIR}/util)

add_executable(checkdirfile ${GD_DIR}/util/checkdirfile.c)
target_link_libraries(checkdirfile getdata)
install(TARGETS checkdirfile DESTINATION bin)

## dirfile2ascii uses getopt_long....
#
#add_executable(dirfile2ascii ${GD_DIR}/util/dirfile2ascii.c)
#target_link_libraries(dirfile2ascii getdata)
#install(TARGETS dirfile2ascii DESTINATION bin)

=== cmake/bindings/cxx/CMakeLists.txt ===

GD_FILES(s bindings/cxx)
GD_FILES(h bindings/cxx/getdata)

include_directories(${GD_DIR}/bindings/cxx)

set(GD_CXX getdata++)
if(MSVC AND NOT MSVC_IDE)
	# nmake could not handle ++ in the path
	set(GD_CXX getdataxx)
endif()

add_library(${GD_CXX} STATIC ${h_headers} ${s_sources})


install(FILES ${h_headers} DESTINATION include/getdata)
install(TARGETS ${GD_CXX} DESTINATION lib)

if (GD_TEST)
  add_subdirectory(test)
endif()

=== cmake/bindings/cxx/test/CMakeLists.txt ===
project(GetDataTests)

add_executable(cxx_test_big_test ${GD_DIR}/bindings/cxx/test/big_test.cpp)
target_link_libraries(cxx_test_big_test ${GD_CXX} getdata)
add_test(NAME cxx_test_big_test COMMAND cxx_test_big_test)

=== debian/changelog ===
libgetdata (0.11.0-6) unstable; urgency=medium

  * Add B-D on python3-setuptools to ensure python extensions built.
    Closes: #1030175
  * Re-enable python-version.patch fix
  * Add patch to handle paths with no dot in python abi name
  * Drop obsolete python3.patch
  * Drop hard-coded python3.10 refs

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Feb 2023 14:45:41 +0000

libgetdata (0.11.0-5) unstable; urgency=medium

  * Support for python3.11. Closes: #1024026

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Nov 2022 15:27:51 +0000

libgetdata (0.11.0-4) unstable; urgency=medium

  * Fix python3.10 install following python3 fix. Closes: #1015990
  * Standards-Version: 4.6.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Jul 2022 11:21:32 +0100

libgetdata (0.11.0-3) unstable; urgency=medium

   * Workaround for python3.10 installing in wrong location.
   Closes: #1008449

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Mar 2022 16:39:49 +0100

libgetdata (0.11.0-2) unstable; urgency=medium

  * Standards-Version 4.6.0; no changes required
  * B-D on libpcre3-dev
  * Fix for python version handling in build: Closes: #998682

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Nov 2021 16:50:38 +0000

libgetdata (0.11.0-1) unstable; urgency=medium

  * New upstream release. Closes: #992437

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Nov 2021 09:22:48 +0000

libgetdata (0.10.0-9) unstable; urgency=medium

  * Fix FTBFFS on binary-all build (missing file). Closes: #966522

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Jul 2020 09:27:30 +0100

libgetdata (0.10.0-8) unstable; urgency=medium

  * Fix FTBFS with fortran 10. Closes: #957440
  * Use debhelper level 13
  * Ship files pointed out by dh_missing.
  * Add lintian-overrides for false positives on libc linking
  * Drop xz hard-coded compression

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Jul 2020 18:52:16 +0100

libgetdata (0.10.0-7) unstable; urgency=medium

  * Drop flang support until flang uses llvm-9
  * Standards-Version: 4.5.0
  * Use dh-sequence-* in d/control rather than --with in debhelper 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Mar 2020 09:33:38 +0000

=== debian/control ===
Source: libgetdata
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
 dh-sequence-python3, 
 dh-sequence-fortran-mod,
 python3-numpy, 
 python3-all-dev,
 python3-setuptools,
 libltdl-dev,
 libflac-dev, 
 libpcre3-dev,
 flac,
 gfortran | fortran-compiler,
 zlib1g-dev, 
 libbz2-dev, 
 liblzma-dev, 
 libzzip-dev , 
 libmodule-build-perl
Standards-Version: 4.6.1
Section: science
Vcs-Browser: https://salsa.debian.org:/science-team/libgetdata.git
Vcs-Git: https://salsa.debian.org:/science-team/libgetdata.git
Homepage: https://getdata.sourceforge.net/

Package: libgetdata-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Replaces: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Suggests: libgetdata-dev
Description: library to read/write dirfile data - API and standards documents
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-dev
Section: libdevel
Architecture: any
Depends: libgetdata8 (= ${binary:Version}), libgetdata++7 (= ${binary:Version}), libfgetdata6 (= ${binary:Version}), libf95getdata7 (= ${binary:Version}), ${misc:Depends}
Suggests: libgetdata-doc
Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata8
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata++7
Section: libs
Replaces: libgetdata (<< 0.7.3-1), libgetdata++3
Breaks: libgetdata (<< 0.7.3-1), libgetdata++3
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - C++ bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libfgetdata6
Section: libs
Architecture: any
Multi-Arch: same
Replaces: libfgetdata2
Breaks: libfgetdata2
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 77 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libf95getdata7
Section: libs
Architecture: any
Multi-Arch: same
Breaks: libf95getdata2
Replaces: libf95getdata2
Depends: libgetdata8 (= ${binary:Version}), libfgetdata6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 95 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-tools
Section: libs
Architecture: any
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - extra tools
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: python3-pygetdata
Section: python
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), python3-numpy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Python3 bindings
 The GetData Project is the reference implementation of the Dirfile Standards,
 a filesystem-based, column-oriented database format for time-ordered binary
 data. The Dirfile database format is designed to provide a fast, simple format
 for storing and reading data.

Package: libgetdata-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - perl bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

FC:=$(shell basename $(shell readlink /usr/bin/f95))
F77:=$(shell basename $(shell readlink /usr/bin/f77))
export F77 FC

# see #957440
GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
                 -fallow-invalid-boz -fallow-argument-mismatch, )
FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)
FCFLAGS=$(shell dpkg-buildflags --get FCFLAGS) $(GF10_FLAGS)
export FFLAGS FCFLAGS

DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)

# Use --as-needed with gfortran, not flang
ifneq ($(filter gfortran,$(FC)),)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
endif

PY3VERS=$(shell py3versions -vr)

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -Bbuild-main -- --disable-python --with-perl-dir=vendor
	cp src/*.h build-main/src/
	for v in $(PY3VERS); do \
	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
	  cp src/*.h build-py$$v/src/; \
	done

#trick from python-ldns
# magic is: PYTHON_VERSION=$$v dh_auto_configure -Bbuild-py$$v 
# and later dh_auto_build -Bbuild-py$$v

override_dh_auto_build:
	dh_auto_build -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_build -Bbuild-py$$v; \
	done

override_dh_auto_install:
	dh_auto_install -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_install -Bbuild-py$$v; \
	done
	dh_numpy3

override_dh_auto_clean:
	dh_auto_clean -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_clean -Bbuild-py$$v; \
	done

=== debian/watch ===
version=3

http://sf.net/getdata/getdata-(.*)\.tar\.gz
